Loading...
Searching...
No Matches
gtsam::DirectSum< G, H > Class Template Reference

## Detailed Description

template<typename G, typename H>
class gtsam::DirectSum< G, H >

Template to construct the direct sum of two additive groups Assumes existence of three additive operators for both groups.

Inheritance diagram for gtsam::DirectSum< G, H >:

## Public Member Functions

| DirectSum ()
| Default constructor yields identity.
| DirectSum (const G &g, const H &h)
DirectSum | operator+ (const DirectSum &other) const
DirectSum | operator- (const DirectSum &other) const
DirectSum | operator- () const

## Static Public Member Functions

static DirectSum | Identity ()

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/Group.h